#include <Servo.h> // Servo.h entre los signos de menor que y mayor que

		Servo Raul1;
		Servo Raul2;
		
		int servoPin1 = D6;   // Pin D6 para el primer servo
		int servoPin2 = D2;   // Pin D2 para el segundo servo
		int ledPin = D1;      // Pin D1 para el LED
		int botonPin = D0;    // Pin D0 para el botón
		
		bool servosActivos = false;
		bool botonPresionado = false;
		bool ultimoEstadoBoton = false;
		
		void setup() {
		  pinMode(ledPin, OUTPUT);
		  pinMode(botonPin, INPUT_PULLUP);  // Habilitar resistor de pull-up interno para el botón
		  Raul1.attach(servoPin1);
		  Raul2.attach(servoPin2);
		
		  // Iniciar la comunicación Serial
		  Serial.begin(9600);
		}
		
		void loop() {
		  // Leer el estado actual del botón
		  bool estadoBoton = digitalRead(botonPin);
		
		  // Detectar transición de no presionado a presionado
		  if (estadoBoton != ultimoEstadoBoton) {
			delay(50);  // Debounce: esperar un poco para estabilizar la lectura del botón
			estadoBoton = digitalRead(botonPin);  // Leer nuevamente el estado del botón después del debounce
			if (estadoBoton != ultimoEstadoBoton) {
			  // Cambio de estado detectado
			  if (estadoBoton == LOW) {
				// Botón presionado
				botonPresionado = true;
			  }
			  ultimoEstadoBoton = estadoBoton;  // Actualizar el último estado del botón
			}
		  }
		
		  // Manejo del estado del botón
		  if (botonPresionado) {
			// Cambiar el estado de los servos y el LED solo si el botón ha sido presionado y soltado
			if (!servosActivos) {
			  // Iniciar el movimiento de los servos y encender el LED
			  digitalWrite(ledPin, HIGH);
			  servosActivos = true;
			  while (estadoBoton == LOW) {
				Raul1.write(180);   // Ajustar aquí la posición deseada para Raul1
				Raul2.write(180);   // Ajustar aquí la posición deseada para Raul2
				delay(800);         // Retraso entre movimientos (ajustar según sea necesario)
				Raul1.write(0);     // Ajustar aquí la posición inicial deseada para Raul1
				Raul2.write(0);     // Ajustar aquí la posición inicial deseada para Raul2
				delay(800);         // Retraso entre movimientos (ajustar según sea necesario)
				estadoBoton = digitalRead(botonPin);  // Actualizar el estado del botón
			  }
			} else {
			  // Detener el movimiento de los servos y apagar el LED
			  digitalWrite(ledPin, LOW);
			  Raul1.write(0);   // Ajustar aquí la posición de reposo deseada para Raul1
			  Raul2.write(0);   // Ajustar aquí la posición de reposo deseada para Raul2
			  servosActivos = false;
			}
			botonPresionado = false;  // Reiniciar la bandera de botón presionado
		  }
		}		